Bug 242544 - Review Request: xbiso - an ISO extraction utility for xdvdfs images
Review Request: xbiso - an ISO extraction utility for xdvdfs images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On: 242545
Blocks: 242543
  Show dependency treegraph
 
Reported: 2007-06-04 15:00 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.6.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 11:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-06-04 15:00:57 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/xbiso.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/xbiso-0.6.1-1.fc7.src.rpm
Description: xbiso is an ISO extraction utility for xdvdfs images.

Note: This is a BuildRequires for AcetoneISO (242543)
Comment 1 Dan Horák 2007-06-04 16:56:57 EDT
I will do a full review tomorrow, it is almost midnight here :-)
Comment 2 Dan Horák 2007-06-05 11:13:33 EDT
OK      source files match upstream:
        5d7a051e2dc3d7ff07ac75ce6e6625e7aaaed4ca439401275ce54e96dc531c92 
xbiso-0.6.1.tar.gz

OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      build root is correct.
OK      license field matches the actual license.
OK      license is open source-compatible. License text included in package.
OK      latest version is being packaged.
OK      BuildRequires are proper.
OK      compiler flags are appropriate.
OK      %clean is present.
OK      package builds in mock (i386) and FC-6 (x86_64).
OK      debuginfo package looks complete.
OK      rpmlint is silent.
OK      final provides and requires look sane
OK      no shared libraries are added to the regular linker search paths.
OK      doesn't owns any new directories
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

Everything is good, so the package is APPROVED
Comment 3 Tom "spot" Callaway 2007-06-05 17:09:43 EDT
Doin my own CVS, workin for the man, singin my song, cvs is done.

Package Name: xbiso
Short Description: An ISO extraction utility for xdvdfs images
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6 F-7
InitialCC: 
Comment 4 Tom "spot" Callaway 2007-06-06 21:41:20 EDT
Built and pushing forward. Thanks for the review.
Comment 5 Fedora Update System 2007-06-07 11:58:05 EDT
xbiso-0.6.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-06-08 11:57:16 EDT
xbiso-0.6.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.